Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Failed to install cloudera-manager-agent package

Solved Go to solution

Failed to install cloudera-manager-agent package

Explorer

CM agent error.jpgUsing CentOS7

Cloudera 5.16 version installations... got below error

 

Failed to install Cloudera-manager-agent package

 

Attaching full logs from the CM.

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Failed to install cloudera-manager-agent package

Super Mentor

@vsrikanth9 

From your Output we see that your Operating System is CentOS7

/etc/redhat-release ==> CentOS 7
CentOS Linux release 7.6.1810 (Core)


But your repo files seems to be installing package "cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64"

NOTICE:  We see "el6" in the package name. It is supposed to be "el7" i guess as your Operating System is CentOS7)

Looks like you are using a Custom Local Repo for the yum packages from "http://cm.bigdata.com/cloudera-cdh5/" . Please check if it has repo for CentOS6 or CentOS7 binaries.

 

If you are using Cloudera Manager 5.16.2 on CentOS7 then please check if you have copied the correct repo. (CentOS7 repo instead of CentOS6 repo)
https://docs.cloudera.com/documentation/enterprise/release-notes/topics/cm_vd.html#cmvd_topic_1

.

.

 

5 REPLIES 5

Re: Failed to install cloudera-manager-agent package

Community Manager

Hi @vsrikanth9 ,

 

Is this a new installation? Could you please provide the repo file from /etc/yum.repos.d/ and the complete log?

 

Thanks,

Li

 

Li Wang, Technical Resolution Manager


Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.

Learn more about the Cloudera Community:

Terms of Service

Community Guidelines

How to use the forum

Re: Failed to install cloudera-manager-agent package

Explorer

[root@cm yum.repos.d]# cat cloudera-*

 

==> cloudera-cdh5.repo


[cloudera-cdh5]
name = Cloudera CDH, Version CUSTOM
baseurl = http://cm.bigdata.com/cloudera-cdh5/
gpgkey =http://cm.bigdata.com/cloudera-cdh5/RPM-GPG-KEY-cloudera
gpgcheck = 1

 

==> cloudera-manager.repo

[cloudera-manager]
name = Cloudera Manager, Version 5.16.2
baseurl=http://cm.bigdata.com/cloudera-manager/
gpgkey=http://cm.bigdata.com/cloudera-manager/RPM-GPG-KEY-cloudera
gpgcheck=0
enabled=1

 

 

Full Log:

 


Support
admin
Cluster Installation
Install Agents
Installation failed on all hosts.

0 of 5 host(s) completed successfully.

Uninstalled on 5 host(s) after installation failure.
Installation failed on 5 host(s).
Hostname IP Address Progress Status
ch1.bigdata.com 192.168.1.125
Retry | Details Installation failed. Uninstalled.
ch2.bigdata.com 192.168.1.126
Retry | Details Installation failed. Uninstalled.
ch3.bigdata.com 192.168.1.127
Retry | Details Installation failed. Uninstalled.
ch4.bigdata.com 192.168.1.128
Retry | Details Installation failed. Uninstalled.
cm.bigdata.com 192.168.1.124
Retry | Details Installation failed. Uninstalled.
×
Failed to install cloudera-manager-agent package. View Uninstalled. View
/tmp/scm_prepare_node.3BjydBlQ
using SSH_CLIENT to get the SCM hostname: 192.168.1.124 45504 22
opening logging file descriptor
Starting installation script...
Acquiring installation lock...
BEGIN flock 4
END (0)
Detecting root privileges...
effective UID is 0
Detecting distribution...
BEGIN grep Tikanga /etc/redhat-release
END (1)
BEGIN grep 'CentOS release 5' /etc/redhat-release
END (1)
BEGIN grep 'Scientific Linux release 5' /etc/redhat-release
END (1)
BEGIN grep Santiago /etc/redhat-release
END (1)
BEGIN grep 'CentOS Linux release 6' /etc/redhat-release
END (1)
BEGIN grep 'CentOS release 6' /etc/redhat-release
END (1)
BEGIN grep 'Scientific Linux release 6' /etc/redhat-release
END (1)
BEGIN grep Maipo /etc/redhat-release
END (1)
BEGIN grep 'CentOS Linux release 7' /etc/redhat-release
END (0)
/etc/redhat-release ==> CentOS 7
Detecting Cloudera Manager Server...
BEGIN host -t PTR 192.168.1.124
CentOS Linux release 7.6.1810 (Core)
END (127)
/tmp/scm_prepare_node.3BjydBlQ/scm_prepare_node.sh: line 104: host: command not found
BEGIN which python
END (0)
BEGIN python -c 'import socket; import sys; s = socket.socket(socket.AF_INET); s.settimeout(5.0); s.connect((sys.argv[1], int(sys.argv[2]))); s.close();' 192.168.1.124 7182
/usr/bin/python
END (0)
BEGIN which wget
END (0)
BEGIN wget -qO- -T 1 -t 1 http://169.254.169.254/latest/meta-data/public-hostname && /bin/echo
/usr/bin/wget
END (4)
Installing package repositories...
validating format of repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-cdh5.repo
installing repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-cdh5.repo
repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-cdh5.repo installed
validating format of repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-manager.repo
installing repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-manager.repo
repository file /tmp/scm_prepare_node.3BjydBlQ/repos/rhel7/cloudera-manager.repo installed
Refreshing package metadata...
BEGIN yum --disablerepo=* --enablerepo=cloudera* clean all
Loaded plugins: fastestmirror
Cleaning repos: cloudera-cdh5 cloudera-manager
Cleaning up list of fastest mirrors
Other repos take up 163 M of disk space (use --verbose for details)
END (0)
BEGIN rm -Rf /var/cache/yum/x86_64
END (0)
BEGIN yum --disablerepo=* --enablerepo=cloudera* makecache
Loaded plugins: fastestmirror
Determining fastest mirrors
Metadata Cache Created
END (0)
Installing cloudera-manager-agent package...
BEGIN yum --disablerepo=* --enablerepo=cloudera* list installed cloudera-manager-agent
Loaded plugins: fastestmirror
Error: No matching Packages to list
END (1)
BEGIN yum --disablerepo=* --enablerepo=cloudera* info cloudera-manager-agent
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Available Packages
Name : cloudera-manager-agent
Arch : x86_64
Version : 5.16.2
Release : 1.cm5162.p0.7.el6
Size : 9.3 M
Repo : cloudera-manager
Summary : The Cloudera Manager Agent
URL : http://www.cloudera.com
License : Proprietary
Description : The Cloudera Manager Agent.
:
: The Agent is deployed to machines running services managed by
: Cloudera Manager.

END (0)
Version : 5.16.2
Release : 1.cm5162.p0.7.el6
BEGIN yum -y install cloudera-manager-agent
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.usf.edu
* extras: mirror.atlantic.net
* updates: mirror.twinlakes.net
Resolving Dependencies
--> Running transaction check
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: cloudera-manager-daemons = 5.16.2 for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: python-psycopg2 for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: psmisc for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: portmap for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: perl for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: openssl-devel for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: mod_ssl for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: cyrus-sasl-plain for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: cyrus-sasl-gssapi for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: bind-utils for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: MySQL-python for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: /lib/lsb/init-functions for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
--> Running transaction check
---> Package MySQL-python.x86_64 0:1.2.5-1.el7 will be installed
---> Package bind-utils.x86_64 32:9.11.4-9.P2.el7 will be installed
--> Processing Dependency: bind-libs-lite(x86-64) = 32:9.11.4-9.P2.el7 for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: bind-libs(x86-64) = 32:9.11.4-9.P2.el7 for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: liblwres.so.160()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: libisccfg.so.160()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: libisc.so.169()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: libirs.so.160()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: libdns.so.1102()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
--> Processing Dependency: libbind9.so.160()(64bit) for package: 32:bind-utils-9.11.4-9.P2.el7.x86_64
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
---> Package cloudera-manager-daemons.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.26-23.el7 will be installed
---> Package cyrus-sasl-plain.x86_64 0:2.1.26-23.el7 will be installed
---> Package mod_ssl.x86_64 1:2.4.6-90.el7.centos will be installed
---> Package openssl-devel.x86_64 1:1.0.2k-19.el7 will be installed
--> Processing Dependency: openssl-libs(x86-64) = 1:1.0.2k-19.el7 for package: 1:openssl-devel-1.0.2k-19.el7.x86_64
--> Processing Dependency: zlib-devel(x86-64) for package: 1:openssl-devel-1.0.2k-19.el7.x86_64
--> Processing Dependency: krb5-devel(x86-64) for package: 1:openssl-devel-1.0.2k-19.el7.x86_64
---> Package perl.x86_64 4:5.16.3-294.el7_6 will be installed
--> Processing Dependency: perl-libs = 4:5.16.3-294.el7_6 for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Scalar::Util) >= 1.10 for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl-macros for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl-libs for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(threads::shared) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(threads) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(constant) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Time::Local) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Time::HiRes) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Storable) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Socket) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Scalar::Util) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Pod::Simple::XHTML) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Pod::Simple::Search) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Getopt::Long) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Filter::Util::Call) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Temp) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec::Unix) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec::Functions) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Path) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Exporter) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Cwd) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Carp) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 4:perl-5.16.3-294.el7_6.x86_64
---> Package psmisc.x86_64 0:22.20-16.el7 will be installed
---> Package python-psycopg2.x86_64 0:2.5.1-4.el7 will be installed
--> Processing Dependency: libpq.so.5()(64bit) for package: python-psycopg2-2.5.1-4.el7.x86_64
---> Package redhat-lsb-core.x86_64 0:4.1-27.el7.centos.1 will be installed
--> Processing Dependency: redhat-lsb-submod-security(x86-64) = 4.1-27.el7.centos.1 for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: spax for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/time for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/patch for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/m4 for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/lpr for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/lp for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/bc for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/batch for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /usr/bin/at for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /bin/mailx for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> Processing Dependency: /bin/ed for package: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
---> Package rpcbind.x86_64 0:0.2.0-48.el7 will be installed
--> Processing Dependency: libtirpc >= 0.2.4-0.7 for package: rpcbind-0.2.0-48.el7.x86_64
--> Processing Dependency: libtirpc.so.1()(64bit) for package: rpcbind-0.2.0-48.el7.x86_64
--> Running transaction check
---> Package at.x86_64 0:3.1.13-24.el7 will be installed
---> Package bc.x86_64 0:1.06.95-13.el7 will be installed
---> Package bind-libs.x86_64 32:9.11.4-9.P2.el7 will be installed
--> Processing Dependency: bind-license = 32:9.11.4-9.P2.el7 for package: 32:bind-libs-9.11.4-9.P2.el7.x86_64
---> Package bind-libs-lite.x86_64 32:9.9.4-72.el7 will be updated
--> Processing Dependency: libdns-export.so.100()(64bit) for package: 12:dhclient-4.2.5-68.el7.centos.1.x86_64
--> Processing Dependency: libisc-export.so.95()(64bit) for package: 12:dhclient-4.2.5-68.el7.centos.1.x86_64
---> Package bind-libs-lite.x86_64 32:9.11.4-9.P2.el7 will be an update
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
---> Package cups-client.x86_64 1:1.6.3-40.el7 will be installed
---> Package ed.x86_64 0:1.9-4.el7 will be installed
---> Package krb5-devel.x86_64 0:1.15.1-37.el7_7.2 will be installed
--> Processing Dependency: libkadm5(x86-64) = 1.15.1-37.el7_7.2 for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
--> Processing Dependency: krb5-libs(x86-64) = 1.15.1-37.el7_7.2 for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
--> Processing Dependency: libverto-devel for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
--> Processing Dependency: libselinux-devel for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
--> Processing Dependency: libcom_err-devel for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.15.1-37.el7_7.2.x86_64
---> Package libtirpc.x86_64 0:0.2.4-0.16.el7 will be installed
---> Package m4.x86_64 0:1.4.16-10.el7 will be installed
---> Package mailx.x86_64 0:12.5-19.el7 will be installed
---> Package openssl-libs.x86_64 1:1.0.2k-16.el7 will be updated
--> Processing Dependency: openssl-libs(x86-64) = 1:1.0.2k-16.el7 for package: 1:openssl-1.0.2k-16.el7.x86_64
---> Package openssl-libs.x86_64 1:1.0.2k-19.el7 will be an update
---> Package patch.x86_64 0:2.7.1-12.el7_7 will be installed
---> Package perl-Carp.noarch 0:1.26-244.el7 will be installed
---> Package perl-Exporter.noarch 0:5.68-3.el7 will be installed
---> Package perl-File-Path.noarch 0:2.09-2.el7 will be installed
---> Package perl-File-Temp.noarch 0:0.23.01-3.el7 will be installed
---> Package perl-Filter.x86_64 0:1.49-3.el7 will be installed
---> Package perl-Getopt-Long.noarch 0:2.40-3.el7 will be installed
--> Processing Dependency: perl(Pod::Usage) >= 1.14 for package: perl-Getopt-Long-2.40-3.el7.noarch
--> Processing Dependency: perl(Text::ParseWords) for package: perl-Getopt-Long-2.40-3.el7.noarch
---> Package perl-PathTools.x86_64 0:3.40-5.el7 will be installed
---> Package perl-Pod-Simple.noarch 1:3.28-4.el7 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
--> Processing Dependency: perl(Encode) for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
---> Package perl-Scalar-List-Utils.x86_64 0:1.27-248.el7 will be installed
---> Package perl-Socket.x86_64 0:2.010-4.el7 will be installed
---> Package perl-Storable.x86_64 0:2.45-3.el7 will be installed
---> Package perl-Time-HiRes.x86_64 4:1.9725-3.el7 will be installed
---> Package perl-Time-Local.noarch 0:1.2300-2.el7 will be installed
---> Package perl-constant.noarch 0:1.27-2.el7 will be installed
---> Package perl-libs.x86_64 4:5.16.3-294.el7_6 will be installed
---> Package perl-macros.x86_64 4:5.16.3-294.el7_6 will be installed
---> Package perl-threads.x86_64 0:1.87-4.el7 will be installed
---> Package perl-threads-shared.x86_64 0:1.43-6.el7 will be installed
---> Package postgresql-libs.x86_64 0:9.2.24-1.el7_5 will be installed
---> Package redhat-lsb-submod-security.x86_64 0:4.1-27.el7.centos.1 will be installed
---> Package spax.x86_64 0:1.5.2-13.el7 will be installed
---> Package time.x86_64 0:1.7-45.el7 will be installed
---> Package zlib-devel.x86_64 0:1.2.7-18.el7 will be installed
--> Running transaction check
---> Package bind-license.noarch 32:9.9.4-72.el7 will be updated
---> Package bind-license.noarch 32:9.11.4-9.P2.el7 will be an update
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
---> Package dhclient.x86_64 12:4.2.5-68.el7.centos.1 will be updated
---> Package dhclient.x86_64 12:4.2.5-77.el7.centos will be an update
--> Processing Dependency: dhcp-libs(x86-64) = 12:4.2.5-77.el7.centos for package: 12:dhclient-4.2.5-77.el7.centos.x86_64
--> Processing Dependency: dhcp-common = 12:4.2.5-77.el7.centos for package: 12:dhclient-4.2.5-77.el7.centos.x86_64
--> Processing Dependency: libisc-export.so.169()(64bit) for package: 12:dhclient-4.2.5-77.el7.centos.x86_64
--> Processing Dependency: libdns-export.so.1102()(64bit) for package: 12:dhclient-4.2.5-77.el7.centos.x86_64
---> Package keyutils-libs-devel.x86_64 0:1.5.8-3.el7 will be installed
---> Package krb5-libs.x86_64 0:1.15.1-34.el7 will be updated
---> Package krb5-libs.x86_64 0:1.15.1-37.el7_7.2 will be an update
---> Package libcom_err-devel.x86_64 0:1.42.9-16.el7 will be installed
--> Processing Dependency: libcom_err(x86-64) = 1.42.9-16.el7 for package: libcom_err-devel-1.42.9-16.el7.x86_64
---> Package libkadm5.x86_64 0:1.15.1-37.el7_7.2 will be installed
---> Package libselinux-devel.x86_64 0:2.5-14.1.el7 will be installed
--> Processing Dependency: libsepol-devel(x86-64) >= 2.5-10 for package: libselinux-devel-2.5-14.1.el7.x86_64
--> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.5-14.1.el7.x86_64
--> Processing Dependency: pkgconfig(libpcre) for package: libselinux-devel-2.5-14.1.el7.x86_64
---> Package libverto-devel.x86_64 0:0.2.5-4.el7 will be installed
---> Package openssl.x86_64 1:1.0.2k-16.el7 will be updated
---> Package openssl.x86_64 1:1.0.2k-19.el7 will be an update
---> Package perl-Encode.x86_64 0:2.51-7.el7 will be installed
---> Package perl-Pod-Escapes.noarch 1:1.04-294.el7_6 will be installed
---> Package perl-Pod-Usage.noarch 0:1.63-3.el7 will be installed
--> Processing Dependency: perl(Pod::Text) >= 3.15 for package: perl-Pod-Usage-1.63-3.el7.noarch
--> Processing Dependency: perl-Pod-Perldoc for package: perl-Pod-Usage-1.63-3.el7.noarch
---> Package perl-Text-ParseWords.noarch 0:3.29-4.el7 will be installed
--> Running transaction check
---> Package bind-export-libs.x86_64 32:9.11.4-9.P2.el7 will be installed
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
---> Package dhcp-common.x86_64 12:4.2.5-68.el7.centos.1 will be updated
---> Package dhcp-common.x86_64 12:4.2.5-77.el7.centos will be an update
---> Package dhcp-libs.x86_64 12:4.2.5-68.el7.centos.1 will be updated
---> Package dhcp-libs.x86_64 12:4.2.5-77.el7.centos will be an update
---> Package libcom_err.x86_64 0:1.42.9-13.el7 will be updated
--> Processing Dependency: libcom_err(x86-64) = 1.42.9-13.el7 for package: e2fsprogs-1.42.9-13.el7.x86_64
--> Processing Dependency: libcom_err(x86-64) = 1.42.9-13.el7 for package: e2fsprogs-libs-1.42.9-13.el7.x86_64
--> Processing Dependency: libcom_err(x86-64) = 1.42.9-13.el7 for package: libss-1.42.9-13.el7.x86_64
---> Package libcom_err.x86_64 0:1.42.9-16.el7 will be an update
---> Package libsepol-devel.x86_64 0:2.5-10.el7 will be installed
---> Package pcre-devel.x86_64 0:8.32-17.el7 will be installed
---> Package perl-Pod-Perldoc.noarch 0:3.20-4.el7 will be installed
--> Processing Dependency: perl(parent) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
--> Processing Dependency: perl(HTTP::Tiny) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
---> Package perl-podlators.noarch 0:2.5.1-3.el7 will be installed
--> Running transaction check
---> Package cloudera-manager-agent.x86_64 0:5.16.2-1.cm5162.p0.7.el6 will be installed
--> Processing Dependency: libpython2.6.so.1.0()(64bit) for package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64
---> Package e2fsprogs.x86_64 0:1.42.9-13.el7 will be updated
---> Package e2fsprogs.x86_64 0:1.42.9-16.el7 will be an update
---> Package e2fsprogs-libs.x86_64 0:1.42.9-13.el7 will be updated
---> Package e2fsprogs-libs.x86_64 0:1.42.9-16.el7 will be an update
---> Package libss.x86_64 0:1.42.9-13.el7 will be updated
---> Package libss.x86_64 0:1.42.9-16.el7 will be an update
---> Package perl-HTTP-Tiny.noarch 0:0.033-3.el7 will be installed
---> Package perl-parent.noarch 1:0.225-244.el7 will be installed
--> Finished Dependency Resolution
Error: Package: cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64 (cloudera-manager)
Requires: libpython2.6.so.1.0()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
END (1)
remote package cloudera-manager-agent could not be installed, giving up
waiting for rollback request
detected rollback request
rolling back installation
Reverting changes...
rollback started
Removing package repositories...
repository file /etc/yum.repos.d/cloudera-manager.repo restored
repository file /etc/yum.repos.d/cloudera-cdh5.repo restored
Cleaning the package manager cache...
BEGIN yum --disablerepo=* --enablerepo=cloudera* clean all
Loaded plugins: fastestmirror
Cleaning repos: cloudera-cdh5 cloudera-manager
Cleaning up list of fastest mirrors
Other repos take up 163 M of disk space (use --verbose for details)
END (0)
BEGIN rm -Rf /var/cache/yum/x86_64
END (0)
Uninstalled.
rollback completed
closing logging file descriptor

 

Re: Failed to install cloudera-manager-agent package

Explorer

Yes, it is a fresh install.  I have created the new servers for 5 nodes in total.  CM is installed without any issues, but in the process of creating the cluster, I see this issue.

Highlighted

Re: Failed to install cloudera-manager-agent package

Super Mentor

@vsrikanth9 

From your Output we see that your Operating System is CentOS7

/etc/redhat-release ==> CentOS 7
CentOS Linux release 7.6.1810 (Core)


But your repo files seems to be installing package "cloudera-manager-agent-5.16.2-1.cm5162.p0.7.el6.x86_64"

NOTICE:  We see "el6" in the package name. It is supposed to be "el7" i guess as your Operating System is CentOS7)

Looks like you are using a Custom Local Repo for the yum packages from "http://cm.bigdata.com/cloudera-cdh5/" . Please check if it has repo for CentOS6 or CentOS7 binaries.

 

If you are using Cloudera Manager 5.16.2 on CentOS7 then please check if you have copied the correct repo. (CentOS7 repo instead of CentOS6 repo)
https://docs.cloudera.com/documentation/enterprise/release-notes/topics/cm_vd.html#cmvd_topic_1

.

.

 

Re: Failed to install cloudera-manager-agent package

Explorer

Auch... Good catch.  

wget https://archive.cloudera.com/cdh5/redhat/6/x86_64/cdh/cloudera-cdh5.repo
wget https://archive.cloudera.com/cm5/redhat/6/x86_64/cm/cloudera-manager.repo
wget https://archive.cloudera.com/cm5/redhat/6/x86_64/cm/RPM-GPG-KEY-cloudera

 

Thanks for correcting.  I should have updated 6 to 7 in the above link while I was doing all downloads... no harm, it's a new installation, I can clean up and redo.

 

Thanks for your help.

Don't have an account?
Coming from Hortonworks? Activate your account here